kind: Role
apiVersion: rbac.authorization.k8s.io/v1
metadata:
  name: aardvark-deployer-role
rules:
  # This role does only get access to the permissions actually needed.
  - apiGroups: [""]
    resources: ["serviceaccounts", "services", "persistentvolumeclaims", "configmaps"]
    verbs: ["create", "patch", "delete"]
  - apiGroups: ["apps"]
    resources: ["deployments"]
    verbs: ["create", "patch", "delete"]
  - apiGroups: ["batch"]
    resources: ["cronjobs"]
    verbs: ["create", "patch", "delete"]
  - apiGroups: ["route.openshift.io"]
    resources: ["routes"]
    verbs: ["create", "patch", "delete"]
---
kind: RoleBinding
apiVersion: rbac.authorization.k8s.io/v1
metadata:
  name: deployer-to-aardvark-deployer-role
roleRef:
  kind: Role
  name: aardvark-deployer-role
  apiGroup: rbac.authorization.k8s.io
subjects:
  - kind: ServiceAccount
    # Namespace where the cicd jobs run, normally aardvark.
    namespace: aardvark
    name: deploy-bot
